Main Page Namespace List Class Hierarchy Compound List Compound Members

# ZThread::Cancelation_Exception Class Reference

`#include <SynchronizationExceptions.h>`

Inheritance diagram for ZThread::Cancelation_Exception::

List of all members.

## Public Methods
| Cancelation_Exception () throw ()
| Create a new Canceltion_Exception.
| Cancelation_Exception (const char *) throw ()
| Create a new Canceltion_Exception.

## Detailed Description

Cancelation_Exceptions are thrown by 'Canceled' objects.

See also:
  Cancelable

The documentation for this class was generated from the following file:

- SynchronizationExceptions.h